CREATE LOGIN user_dbo  WITH PASSWORD='foo', CHECK_POLICY = OFF;
CREATE LOGIN user_blat WITH PASSWORD='foo', CHECK_POLICY = OFF;
GO
CREATE SCHEMA blat AUTHORIZATION dbo;
GO
CREATE USER user_dbo  FROM LOGIN user_dbo 
 WITH DEFAULT_SCHEMA = dbo;
CREATE USER user_blat FROM LOGIN user_blat
 WITH DEFAULT_SCHEMA = blat;

GRANT SELECT ON dbo.DatabaseLog TO user_dbo, user_blat;
GO
DBCC FREEPROCCACHE;
GO

GO
EXECUTE AS user = 'user_dbo';
GO
SELECT TOP 10 * FROM DatabaseLog ORDER BY 1;
GO
REVERT;
GO
EXECUTE AS user = 'user_blat';
GO
SELECT TOP 10 * FROM DatabaseLog ORDER BY 1;
GO
REVERT;

SELECT * FROM sys.dm_exec_cached_plans AS p
CROSS APPLY sys.dm_exec_sql_text(p.plan_handle) AS t
WHERE t.text LIKE '%Database'+'Log%';
GO
